/********************************************************************************
 Author : Sijo (cic.asia@analog.com)

 Date : December 2013

 File name : ADuCM360Driver.h

 Description : Function declaration and Pin assignment

 Hardware plateform : ADuCM360 	
********************************************************************************/



	
#ifndef ADUCM360_DRIVER_H
#define ADUCM360_DRIVER_H


//Function Declaration
unsigned char Sdout(void);
void AD5764SetLdac(void);
void AD5764ClrLdac(void);
void AD5764Clr(void);
void AD5764Set(void);
void AD5764BinCode(void);
void AD5764CompCode(void);
void AD5764SetRstin(void);
void AD5764ClrRstin(void);
void ClearData(void);
void LoadData(void);
void ADuCM360Initialize(void);
void AD5764Initialize(void);
void Delay(unsigned long int DelayTime);
void ADuCM360GpioOutput  (unsigned char  GpioNo, unsigned char OutputValue);
unsigned int ADuCM360GpioInput (unsigned char  GpioNo);
void WriteRegister(unsigned long int Data);
void WriteCoarseGainRegister(unsigned long int DacSelect, unsigned char Range);
void WriteFineGainRegister(unsigned long int DacSelect, unsigned Data);
void WriteOffsetRegister(unsigned long int DacSelect, unsigned Offset);
void WriteDataRegister(unsigned long int DacSelect, unsigned int Data);
void ConfigureD0D1(unsigned long int D0, unsigned long int D1);
void OutD0D1(unsigned long int D0Value, unsigned long int D1Value);
unsigned long int ReadRegister(unsigned long int RegisterSelect,unsigned long int DacSelect);
void SPIinitialize(void);
void SpiReadWrite(unsigned char* InputBuf, unsigned char* OutputBuf, unsigned char NoOfByte);


#endif
